// Code generated by "gendocstr"; DO NOT EDIT.

package main

const docText = "The sievemgr command is a ManageSieve client.\n\nUsage:\n\n    sievemgr [-f config] info [-a account]\n    sievemgr [-f config] list [-a account]\n    sievemgr [-f config] get [-a account] script\n    sievemgr [-f config] put [-a account] script [file]\n    sievemgr [-f config] activate [-a account] script\n    sievemgr [-f config] deactivate [-a account]\n    sievemgr [-f config] delete [-a account] script\n    sievemgr [-f config] check [-a account] [file]\n    sievemgr [-f config] checkspace [-a account] script [file]\n    sievemgr [-f config] rename [-a account] old new\n    sievemgr [-f config] edit [-a account] script\n    sievemgr [-f config] man\n    sievemgr [-f config] version\n\nDescription:\n\nsievemgr is a client for managing Sieve scripts on remote servers via the\nManageSieve Protocol (RFC 5804). Given valid credentials, sievemgr can be\ninvoked non-interactively in order to retrieve a list of all script scripts,\nretrieve the scripts themselves, publish scripts on a server, or delete them.\nFurthermore, it can be used to change the active script and to display\ninformation about the server.\n\nThe ManageSieve server may either be referred to by a domain name or by its IP\naddress or hostname and optionally the port. If only a domain name was\nspecified a DNS service lookup is performed in order to determine the hostname\nand port of the ManageSieve server. In case no service record exists or no\nport was specified sievemgr will fall back to port 4190.\n\nsievemgr only supports authentication using the SASL PLAIN mechanism and\nrequires support for TLS-encrypted connections via the STARTTLS command when\nconnecting to a server other than localhost.\n\nConfiguration File:\n\nIf a configuration file is not explicitly specified using the -f option\nsievemgr will open the default configuration file in a platform-dependent\nlocation:\n\n    * on Unix either $XDG_CONFIG_HOME/sievemegr/sievemgr.conf if\n      XDG_CONFIG_HOME is set or $HOME/.config/sievemegr/sievemgr.conf\n    * on Darwin $HOME/Library/Application Support/sievemegr/sievemgr.conf\n    * on Windows %APPDATA%\\sievemgr\\sievemgr.conf\n\nThe owner of the file must match the effective user and the permissions of the\nfile must be set to disallow access by group or others.\n\nTokens in the configuration file are seperated by spaces, tabs, and newlines\nand there are three types of tokens: identifiers, strings, and numbers.\nIdentifiers consist of the letters a-z and A-Z, numbers of 0-9. Strings are\nenclosed in double quotes, literal double quotes can be escaped with a\nbackslash and a literal backslash is escaped with another backslash.\n\nThe following tokens are recognized:\n\n    account \"name\"\n    \tDefine an account which is referred to by name. The account\n    \tdefinition ends when another account token is encountered or at\n    \tthe end of the file.\n\n    default\n    \tSet this as the default account.\n\n    host \"name\"\n    \tSpecify the host- or domainname of the ManageSieve server.\n\n    port number\n    \tSpecifiy the port number of the ManageSieve server.  If left\n    \tout and the host token refers to a domainname, sievmgr will\n    \tquery DNS for a SRV record for a ManageSieve service associated\n    \twith the domain and fall back to port 4190.\n\n    user \"name\"\n    \tSet the username of the account.\n\n    pass \"password\"\n    \tSet the password of the account.\n\n    insecure\n    \tOptionally specify that verification of the certificate\n    \tpresented by the server when making a TLS connection should be\n    \tskipped.  This renders the connection insecure and should only\n    \tbe used for testing purposes.\n\nGlobal Options:\n\n    -f config\n    \tSet the name of the configuration file to config.\n\nCommon Options:\n\n    -a account\n    \tSelect account from the configuration file.\n\nSubcommands:\n\n    sievemgr [-f config] info [-a account]\n\nDisplays information about the ManageSieve server. This includes conformance\nto RFC 5804, support for TLS connections, supported extensions, available SASL\nauthentication mechanisms, and supported notification methods.\n\n    sievemgr [-f config] list [-a account]\n\nLists all scripts on the server and indicate which of the is the currently\nactive script.\n\n    sievemgr [-f config] get [-a account] script\n\nFetch the contents of script from the server.\n\n    sievemgr [-f config] put [-a account] script [file]\n\nSubmit file under the name script to the server. If file is not specified,\nread the script from standard input. The server will reject a script if it is\ninvalid or a storage quota is exceeded.\n\n    sievemgr [-f config] activate [-a account] script\n\nSet script as the active script on the server.\n\n    sievemgr [-f config] deactivate [-a account]\n\nDeactivate the currently active script on the server.\n\n    sievemgr [-f config] delete [-a account] script\n\nDelete script from the server.\n\n    sievemgr [-f config] check [-a account] [file]\n\nCheck if file is a valid sieve script. If file is not specified, read the\nscript from standard input.\n\n    sievemgr [-f config] checkspace [-a account] script [file]\n\nCheck if the script in file can be stored on the server without exceeding the\nstorage quota. If script already exists the server will take overwriting it\ninto account. If file is not specified, read the script from standard input.\n\n    sievemgr [-f config] rename [-a account] old new\n\nRename the script old to new.\n\n    sievemgr [-f config] edit [-a account] script\n\nRetrieve a copy of script and start the editor referred to in the $EDITOR\nenvironment variable. If the local copy has not been modified or the editor\nexits with a non-zero exit status the local copy of script will not be\nsubmitted to the server. In case of errors the local copy of the script will\nbe preserved.\n\n    sievemgr [-f config] man\n\nDisplay the user manual.\n\n    sievemgr [-f config] version\n\nShow version information and exit.\n"